Subject: Re: bug#20802: Segfault when showing non-GTK+ tooltip

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Jun 2015 20:17:33 +0300

> Date: Thu, 18 Jun 2015 18:48:29 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > then we could simply count the
>  > frames on a terminal instead of using a refcount.  Something like this
>  > (we already have similar code in delete_frame):
>  >
>  >        count = 0;
>  >        FOR_EACH_FRAME (tail, frame1)
>  > 	if (FRAME_TERMINAL (XFRAME (frame)) == FRAME_TERMINAL (XFRAME (frame1)))
>  > 	  count++;
> 
> Something like that.  In any case we should get rid of _all_ refcounts
> for frames and displays.  If you came up with a patch for Windows I
> could do the remaining platforms (I'm not very eager doing this from
> scratch since I build without image support and there might be some
> wrinkle where testing with image support would be safer).

I could try, but please keep in mind that we never delete a terminal
on Windows, until Emacs exits.  That part must be tested on Unix.